Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Interface CustomField

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  LinkedDataFormulaField

public interface CustomField
extends java.lang.Cloneable

Method Summary
`int` | `fillField(byte[] data, short size, int offset)` Populates this fields data from the byte array passed in.
`int` | `getSize()`
`int` | `serializeField(int offset, byte[] data)` Converts this field to it's byte array form.
`void` | `toString(java.lang.StringBuffer str)` Appends the string representation of this field to the supplied StringBuffer.

Method Detail

### getSize

    public int getSize()

  Returns:
    The size of this field in bytes. This operation is not valid until after the call to `fillField()`

### fillField

    public int fillField(byte[] data,
                         short size,
                         int offset)

  Populates this fields data from the byte array passed in.

  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)
  Returns:
    the number of bytes read.

### toString

    public void toString(java.lang.StringBuffer str)

  Appends the string representation of this field to the supplied StringBuffer.

  Parameters:
    `str` - The string buffer to append to.

### serializeField

    public int serializeField(int offset,
                              byte[] data)

  Converts this field to it's byte array form.

  Parameters:
    `offset` - The offset into the byte array to start writing to.
    `data` - The data array to write to.
  Returns:
    The number of bytes written.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.